Skip to main content
POST
/
api
/
v1
/
deployments
/
{deploymentId}
/
dependencies
/
repositories
List repositories with dependencies
curl --request POST \
  --url https://semgrep.dev/api/v1/deployments/{deploymentId}/dependencies/repositories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": 123,
  "dependencyFilter": {
    "license": [
      "<string>"
    ],
    "lockfilePath": "<string>",
    "name": "<string>",
    "packageFilters": [
      {
        "exactNameMatch": true,
        "exactVersion": "<string>",
        "name": "<string>",
        "versionLowerBound": "<string>",
        "versionUpperBound": "<string>"
      }
    ],
    "repositoryId": [
      123
    ],
    "version": "<string>"
  },
  "deploymentId": "<string>",
  "pageSize": 100
}
'
{
  "cursor": 123,
  "hasMore": true,
  "repositorySummaries": [
    {
      "hasDependencyPathScan": true,
      "id": 123,
      "name": "<string>",
      "numDependencies": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<uint64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Body

application/json
cursor
number<uint32>

Use cursor in response to get next page of results.

dependencyFilter
object

Object to provide dependency details to filter by.

deploymentId
string<uint64>

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

pageSize
number<uint32>
default:5

Number of repositories per page. Default: 5, min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

100

Response

200 - application/json

OK

cursor
number<uint32>

Pass to next request to get next page of results.

hasMore
boolean

True if there are more repositories to get.

repositorySummaries
object[]

List of repositories.